Priority: Normal Due date:  
Target version:    

Resolution: Invalid Affected version: 4.1.1

Description

my production.log have many from this msg

how i can solve it

DEPRECATION WARNING: Using a dynamic :action segment in a route is deprecated and will be removed in Rails 6.0. (called from

instance_eval at /home/redmine/4.11/config/routes.rb:370)

History

#1 - 2020-09-16 13:36 - 성민 여

??

#2 - 2020-09-20 01:50 - Pavel Rosický

your Redmine plugins are using a deprecated way how to define routes. You should ask their maintainers for an update.

#3 - 2020-09-20 05:13 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

#4 - 2020-09-20 19:02 - ashraf alzyoud

Pavel Rosický wrote:

your Redmine plugins are using a deprecated way how to define routes. You should ask their maintainers for an update.

 if u can help?? how i know which plugin what i should do??

Redmine plugins:

  redmine_agile                  1.5.4

  redmine_checklists             3.1.18

  redmine_ckeditor               1.2.3

  redmine_cms                    1.2.1

  redmine_contacts               4.3.2

  redmine_contacts_helpdesk      4.1.10

  redmine_contacts_invoices      4.2.3

  redmine_crm_mailchimp          1.0.3

  redmine_custom_workflows       1.0.3

  redmine_drive                  1.0.1

  redmine_favorite_projects      2.1.1

  redmine_finance                2.1.7

  redmine_issue_templates        1.1.0

  redmine_lightbox2              0.5.1

  redmine_optitool               1.0.0

  redmine_people                 1.5.2

  redmine_products               2.1.2

  redmine_questions              1.0.2

  redmine_reporter               1.0.3

  redmine_resources              1.0.4

  redmine_serial_number_field    3.0.0

  redmine_subtask_list_enhanced  1.1.1

  redmine_subtasks_inherited_fields 1.1.1

  redmine_zenedit                1.0.3

  redmineup_tags                 2.0.8

  view_customize                 2.7.0
#5 - 2020-09-20 19:52 - Pavel Rosický

https://stackoverflow.com/questions/37008713/rails-5-1-routes-dynamic-action-parameters

#6 - 2020-09-20 21:08 - ashraf alzyoud

Pavel Rosický wrote:

https://stackoverflow.com/questions/37008713/rails-5-1-routes-dynamic-action-parameters

 Thanks for your time and cooperation

namespace :integrations do

  namespace 'stripe' do

    %w(auth webhook activate).each do |action|

      get action, action: action

    end

  end

  post 'stripe/deactivate', controller: 'stripe', action: 'deactivate'

end

 this code added it in redmine/config/routes or for all my plugins routes install??

#7 - 2020-09-20 22:06 - ashraf alzyoud

im added the code for all my plugins( config/routes.rb)

the same result

Creating scope :system. Overwriting existing method Enumeration.system.

Creating scope :sorted. Overwriting existing method Group.sorted.

Creating scope :sorted. Overwriting existing method User.sorted.

Creating scope :having_mail. Overwriting existing method User.having_mail.

Creating scope :visible. Overwriting existing method AgileQuery.visible.

DEPRECATION WARNING: Using a dynamic :action segment in a route is deprecated and will be removed in Rails 6.0

. (called from instance_eval at /home/redmine/4.11/config/routes.rb:370)

DEPRECATION WARNING: Using a dynamic :action segment in a route is deprecated and will be removed in Rails 6.0

. (called from instance_eval at /home/redmine/4.11/config/routes.rb:370)

DEPRECATION WARNING: Using a dynamic :action segment in a route is deprecated and will be removed in Rails 6.0

. (called from instance_eval at /home/redmine/4.11/config/routes.rb:370)

DEPRECATION WARNING: Using a dynamic :action segment in a route is deprecated and will be removed in Rails 6.0

. (called from instance_eval at /home/redmine/4.11/config/routes.rb:370)

DEPRECATION WARNING: Using a dynamic :action segment in a route is deprecated and will be removed in Rails 6.0

. (called from instance_eval at /home/redmine/4.11/config/routes.rb:370)

DEPRECATION WARNING: Using a dynamic :action segment in a route is deprecated and will be removed in Rails 6.0

. (called from instance_eval at /home/redmine/4.11/config/routes.rb:370)

DEPRECATION WARNING: Using a dynamic :action segment in a route is deprecated and will be removed in Rails 6.0

. (called from instance_eval at /home/redmine/4.11/config/routes.rb:370)

Creating scope :system. Overwriting existing method Enumeration.system.

Creating scope :sorted. Overwriting existing method Group.sorted.

Creating scope :sorted. Overwriting existing method User.sorted.

Creating scope :having_mail. Overwriting existing method User.having_mail.

Creating scope :visible. Overwriting existing method AgileQuery.visible.

DEPRECATION WARNING: Using a dynamic :action segment in a route is deprecated and will be removed in Rails 6.0

. (called from instance_eval at /home/redmine/4.11/config/routes.rb:370)

DEPRECATION WARNING: Using a dynamic :action segment in a route is deprecated and will be removed in Rails 6.0

. (called from instance_eval at /home/redmine/4.11/config/routes.rb:370)

DEPRECATION WARNING: Using a dynamic :action segment in a route is deprecated and will be removed in Rails 6.0

. (called from instance_eval at /home/redmine/4.11/config/routes.rb:370)

DEPRECATION WARNING: Using a dynamic :action segment in a route is deprecated and will be removed in Rails 6.0

. (called from instance_eval at /home/redmine/4.11/config/routes.rb:370)

DEPRECATION WARNING: Using a dynamic :action segment in a route is deprecated and will be removed in Rails 6.0

. (called from instance_eval at /home/redmine/4.11/config/routes.rb:370)

DEPRECATION WARNING: Using a dynamic :action segment in a route is deprecated and will be removed in Rails 6.0

. (called from instance_eval at /home/redmine/4.11/config/routes.rb:370)

DEPRECATION WARNING: Using a dynamic :action segment in a route is deprecated and will be removed in Rails 6.0

. (called from instance_eval at /home/redmine/4.11/config/routes.rb:370)

#8 - 2022-12-21 06:58 - Dimitar (RedmineUP)

Hello Ashraf,

This is Dimitar from the RedmineUP Support Team.
I see that you have some of our plugins on your list:

  redmine_agile                  1.5.4

  redmine_checklists             3.1.18

  redmine_cms                    1.2.1

  redmine_contacts               4.3.2

  redmine_contacts_helpdesk      4.1.10

  redmine_contacts_invoices      4.2.3

  redmine_crm_mailchimp          1.0.3

  redmine_drive                  1.0.1

  redmine_favorite_projects      2.1.1

  redmine_finance                2.1.7

  redmine_people                 1.5.2

  redmine_products               2.1.2

  redmine_questions              1.0.2

  redmine_reporter               1.0.3

  redmine_resources              1.0.4

  redmine_zenedit                1.0.3

  redmineup_tags                 2.0.8

 So, could you please contact our support team at support@redmineup.com? And our support engineers will help you investigate the

situation.

We look forward to hearing from you.

Best Regards,

Dimitar from the RedmineUP Support Team
